Module javafx.base
Package javafx.beans.binding

## Interface NumberBinding

- All Superinterfaces:
    `Binding<Number>`, `NumberExpression`, `Observable`, `ObservableNumberValue`, `ObservableValue<Number>`
  All Known Implementing Classes:
    `DoubleBinding`, `FloatBinding`, `IntegerBinding`, `LongBinding`

      public interface NumberBinding
      extends Binding<Number>, NumberExpression

  A tagging interface to mark all Bindings that wrap a number-value.
  Since:
    JavaFX 2.0
  See Also:
    `Binding`, `NumberExpression`

- - ### Method Summary

    - ### Methods inherited from interface javafx.beans.binding.Binding

      `dispose, getDependencies, invalidate, isValid`

    - ### Methods inherited from interface javafx.beans.binding.NumberExpression

      `add, add, add, add, add, asString, asString, asString, divide, divide, divide, divide, divide, greaterThan, greaterThan, greaterThan, greaterThan, greaterThan, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, lessThan, lessThan, lessThan, lessThan, lessThan, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, multiply, multiply, multiply, multiply, multiply, negate, subtract, subtract, subtract, subtract, subtract`

    - ### Methods inherited from interface javafx.beans.Observable

      `addListener, removeListener`

    - ### Methods inherited from interface javafx.beans.value.ObservableNumberValue

      `doubleValue, floatValue, intValue, longValue`

    - ### Methods inherited from interface javafx.beans.value.ObservableValue

      `addListener, getValue, removeListener`